Page MenuHomePhabricator

If $wgRCWatchCategoryMembership is true, CategoryMembershipChangeJobs are added even if content type does not have categories
Closed, ResolvedPublic

Description

For wikidata, this would be a lot of useless jobs for any edits to items or properties.

I think we can add something to ContentHandler, similar to supportsSections, to indicate if the content model supports categories. then check for this before adding the jobs.

Event Timeline

aude created this task.Feb 15 2016, 3:02 PM
aude raised the priority of this task from to Needs Triage.
aude updated the task description. (Show Details)
aude added a subscriber: aude.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 15 2016, 3:02 PM

Change 270749 had a related patch set uploaded (by Aude):
Add ContentHandler::supportsCategories method

https://gerrit.wikimedia.org/r/270749

aude claimed this task.Feb 15 2016, 3:25 PM
aude set Security to None.
Lydia_Pintscher triaged this task as Normal priority.Feb 19 2016, 9:56 AM

Change 270749 merged by jenkins-bot:
Add ContentHandler::supportsCategories method

https://gerrit.wikimedia.org/r/270749

@aude @daniel is there still something missing for this, or can this be closed?

Change 315070 had a related patch set uploaded (by Hoo man):
Add EntityHandler::supportsCategories

https://gerrit.wikimedia.org/r/315070

Change 315070 merged by jenkins-bot:
Add EntityHandler::supportsCategories

https://gerrit.wikimedia.org/r/315070

Change 315074 had a related patch set uploaded (by Hoo man):
Add EntityHandler::supportsCategories

https://gerrit.wikimedia.org/r/315074

hoo closed this task as Resolved.Oct 10 2016, 11:38 AM
hoo edited projects, added Wikidata-Sprint-2016-09-21; removed Patch-For-Review.
hoo moved this task from Proposed to Done on the Wikidata-Sprint-2016-09-21 board.

Change 315074 merged by jenkins-bot:
Add EntityHandler::supportsCategories

https://gerrit.wikimedia.org/r/315074